<?php
class cookie
{
    protected $cfg;
    
    public function __construct ()
    {
        $this->cfg = pul::get('config');
    }
    
    public function set ($name, $value, $expire='', $path='', $domain='', $prefix='')
    {
        if ($expire == '') { $expire = $this->cfg->get('cookie_expire');}
        if ($path == '') { $path = $this->cfg->get('cookie_path');}
        if ($domain == '') { $domain = $this->cfg->get('cookie_domain');}
        if ($prefix == '') { $prefix = $this->cfg->get('cookie_prefix');}
        setcookie(($prefix.$name), $value, $expire, $path, $domain);
    }
    
    public function setArray ($opt = array())
    {
        foreach ($opt as $n)
        {
            $this->set($n['name'], $n['value'], $n['expire'], $n['path'], $n['domain'], $n['prefix']);
        }
    }
    
    public function get ($some)
    {
        if (isset($_COOKIE[$this->cfg->get('cookie_prefix').$some]))
        {
            if ($this->cfg->get('global_xss'))
            {
                return xss_clean($_COOKIE[$this->cfg->get('cookie_prefix').$some]);
            }
            else
            {
                return $_COOKIE[$this->cfg->get('cookie_prefix').$some];
            }
        }
        else
        {
            return NULL;
        }
    }
    
    public function _unset ($name)
    {
        setcookie($name, '', -1, $this->cfg->get('cookie_path'));
    }
}